Opened 6 years ago

Closed 6 years ago

#8464 closed defect (fixed)

rs->version_supports_extend2_cells is set incorrectly.

Reported by: nickm Owned by:
Priority: Medium Milestone: Tor: 0.2.4.x-final
Component: Core Tor/Tor Version:
Severity: Keywords: tor-client ntor
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

in routerparse.c, we do:

      rs->version_supports_extend2_cells =
        tor_version_as_new_as(tok->args[0], "0.2.4.7-alpha");

but really,this patch was merged into 0.2.4.8-alpha.

Child Tickets

Change History (3)

comment:1 Changed 6 years ago by nickm

Status: newneeds_review

Please review trivial branch bug8464.

comment:2 Changed 6 years ago by asn

Looks trivially correct. Tor changelog also seems to agree that EXTEND2 was added in 0.2.4.8-alpha.

comment:3 Changed 6 years ago by nickm

Resolution: fixed
Status: needs_reviewclosed

cherry-picked it into sensibleness, then merged it. Thanks!

Note: See TracTickets for help on using tickets.